Package org.codehaus.groovy.runtime

# Class RangeInfo

java.lang.Object
org.codehaus.groovy.runtime.RangeInfo

public class RangeInfo extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`from`
`final boolean`
`reverse`
`final int`
`to`

## Constructor Summary

Constructors
Constructor
Description
`RangeInfo(int from, int to, boolean reverse)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### from

public final int from

### to

public final int to

### reverse

public final boolean reverse

## Constructor Details

### RangeInfo

public RangeInfo(int from, int to, boolean reverse)